• Home
  • Help
  • Search
  • Login
  • Register
Pages: [1]
Author Topic: GPT-Capable Debian on Sheevaplug  (Read 2157 times)
madmike
Newbie
*

Karma: 0
Posts: 13


View Profile
« on: March 27, 2013, 03:19:06 PM »

How can I tell if my Sheevaplug Debian installation (Linux hardy 2.6.30.2 #11 PREEMPT Wed Jul 22 19:53:31 MDT 2009 armv5tel GNU/Linux) is fullt GPT aware/capable (Im'm the guy with 3TB disk woes)?

Ta,

Madmike.
Logged

birdman
Sr. Member
****

Karma: 4
Posts: 443


View Profile WWW
« Reply #1 on: March 27, 2013, 05:17:07 PM »

You could see whether /proc/config.gz exists and, if so, whether it contains:

  CONFIG_EFI_PARTITION=y

Not sure if that 2.6.30.2 kernel does.  I'm using 3.8.4 from cxbiker61 (see http://www.plugcomputer.org/plugforum/index.php?topic=6202.0#subject_20353 which refers to 3.6.6, but 3.8.4 is there now) and it does.

I was running Debian squeeze with that (until last Saturday, when I did an upgrade to wheezy).

If you haven't seen it, http://www.ibm.com/developerworks/linux/library/l-gpt/ might be useful.
« Last Edit: March 27, 2013, 05:20:09 PM by birdman » Logged

madmike
Newbie
*

Karma: 0
Posts: 13


View Profile
« Reply #2 on: April 04, 2013, 06:36:57 AM »

The version I was using had the required
Quote
CONFIG_EFI_PARTITION=y
as does the Debian Squeeze image I'm now using. NewIT confirm that the image I'm using is GPT compliant but gdisk and parted still see it as a 800GB disk. :-(
Logged

Pages: [1]
Print
Jump to: